Bug 250909 - sysutils/qjail: fix bug with vnet jails
Summary: sysutils/qjail: fix bug with vnet jails
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-11-06 18:29 UTC by Joe Barbish
Modified: 2020-11-30 20:02 UTC (History)
3 users (show)

See Also:
qjail1: merge-quarterly?


Attachments
Makefile (1.47 KB, patch)
2020-11-06 18:31 UTC, Joe Barbish
qjail1: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joe Barbish 2020-11-06 18:29:54 UTC
Add this to change log.

For vnet jails the kldstat command is used to test if the firewall
modules are loaded. For what ever reason a user compiles his firewall
into the kernel. The form of the kldstat command I was using was only
looking if the firewall module was loaded at use time ipfw.ko, pf.ko, 
and ipl.ko. Had to change kldstat command form where both compiled in 
and loaded modules are checked at same time. kldstat -q -m pf

This change effected both qjail and qjail.bootime scripts.
Comment 1 Joe Barbish 2020-11-06 18:31:50 UTC
Created attachment 219400 [details]
Makefile
Comment 2 Automation User 2020-11-06 18:48:56 UTC
Build and package info is available at https://gitlab.com/swills/freebsd-ports/pipelines/212909850
Comment 3 Fernando Apesteguía freebsd_committer 2020-11-10 09:16:21 UTC
^Triage: [tags] in issue Titles are deprecated.

^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field.

Q/A:  /tmp/250909/sysutils/qjail/pkg-descr: exceeds 24 lines, make it shorter if possible.(currently 34 lines)

Makefile: "IGNORE_FreeBSD_11" has to appear earlier.

^Triage: Please confirm this change passes QA (portlint, poudriere at least).
--
https://www.freebsd.org/doc/en/books/porters-handbook/testing.html


Thanks!
Comment 4 Joe Barbish 2020-11-10 14:54:46 UTC
These are warnings messages. Can be ignored as just comments. This makefile has been the same since qjail-4.0 and was just accepted as is with last update for qjail-5.5. As a newbe you need to use some judgment on how serious these kind on warning messages are to be taken. Just do the update as provided.
Comment 5 Fernando Apesteguía freebsd_committer 2020-11-10 18:02:33 UTC
(In reply to Joe Barbish from comment #4)

That was uncalled for. Just some things:

1 - You are still missing an ChangeLog URL
2 - You still have issues in your port and I do not care if you haven't taken care of them before.
3 - I was just doing triage, but thanks to your rude attitude, I am now pretty sure I am done with this PR.

Good luck.
Comment 6 Joe Barbish 2020-11-30 20:02:07 UTC
Closing this bug